B2SUM(1)

NAVN
b2sum - compute and check BLAKE2 message digest

OVERSIKT
b2sum [VALG]... [FIL]...

BESKRIVELSE

Print or check BLAKE2b (512-bit) checksums. Legacy interface to the cksum utility.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-b, --binary
    Les i binærmodus.

-c, --check
    Les kontrollsummer fra FILEne, og kontroller dem.

-l, --length=BIT
    digest length in bits; must not exceed the max size and must be a multiple of 8 for blake2b; must be 224, 256, 384, or 512 for sha2 or sha3

--tag
    Lag en kontrollsum i BSD-stil.

-t, --text
    Les i tekstmodus (standard).

-z, --zero
    Avslutt hver linje med NUL i stedet for ny linje og slå av skiftetegn for filnavn.

  Følgende fem valg er bare nyttige ved sjekk av kontrollsummer:

--ignore-missing
    Ikke avslutt eller gi feilkode ved manglende fil.

--quiet
    Ikke skriv ut OK for hver fil som blir kontrollert.

--status
    Ikke skriv ut noen ting (bruk statuskoder i stedet).

--strict
    Avslutt med feilkode ved feilformaterte sjekksumlinjer.

-w, --warn
    Advar mot feilformaterte kontrollsumlinjer.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Summene beregnes som beskrevet i RFC 7693. Ved kontroll bør inndata bestå av tidligere utdata fra programmet. Standard prosedyre er at programmet skriver ut en linje med kontrollsum, mellomrom, et tegn som indikerer lesemodus («*» betyr binær, mellomrom betyr tekst) og et filnavn per FIL.

Det er ingen praktisk forskjell på binær modus og tekstmodus på GNU-systemer.

FORFATTER
Skrevet av Padraig Brady og Samuel Neves.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
cksum(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/b2sum>
eller lokalt: info info '(coreutils) b2sum invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.